{# Template for chrony conf file #}
{{ ansible_managed | comment }}

# Pools
{% if ntp_config_source.pools is defined and ntp_config_source.pools | length > 0 %}
{% for pool in ntp_config_source.pools %}
pool {{ pool.source }}{{ ' '+pool.options | join(' ') if pool.options is defined }}
{% endfor %}
{% else %}
# No pools defined
{% endif %}

# Servers
{% if ntp_config_source.servers is defined and ntp_config_source.servers | length > 0 %}
{% for server in ntp_config_source.servers %}
server {{ server.source }}{{ ' '+server.options | join(' ') if server.options is defined }}
{% endfor %}
{% else %}
# No servers defined
{% endif %}

# Peers
{% if ntp_config_server.peers is defined and ntp_config_server.peers | length > 0 %}
{% for peer in ntp_config_server.peers %}
peer {{ peer.source }}{{ ' '+peer.options | join(' ') if peer.options is defined }}
{% endfor %}
{% else %}
# No peers defined
{% endif %}

# Allows
{% if ntp_config_server.allows is defined and ntp_config_server.allows | length > 0 %}
{% for allow in ntp_config_server.allows %}
{{ allow.source }}{{ ' '+allow.options | join(' ') if allow.options is defined }}
{% endfor %}
{% else %}
# No allows defined
{% endif %}

# Log File
logdir {{ ntp_vars_log_dir }}

# Drift File
driftfile {{ ntp_vars_lib_dir }}/{{ ntp_vars_drift_file }}

# Key File
keyfile {{ ntp_vars_config_dir }}/{{ ntp_vars_key_file }}

# User
user {{ ntp_vars_user }}

# Options
{% if ntp_config_options is defined and ntp_config_options | length > 0 %}
{% for option in ntp_config_options %}
{{ option }}
{% endfor %}
{% else %}
# No options defined
{% endif %}